program Repeat2
  !! Repeat a 1-D slice in the 2rd direction
  !! Paul Sava (paul@sep.stanford.edu)
  !! 01/03/02

  use sep

  implicit none
  integer :: n1,n2, i2
  real    :: o2,d2
  real, dimension(:), allocatable:: data

  call sep_init()

  call from_history("n1",n1)

  call from_param  ("n2",n2,1 )
  call from_param  ("o2",o2,0.)
  call from_param  ("d2",d2,1.)

  call to_history  ("n2",n2)
  call to_history  ("o2",o2)
  call to_history  ("d2",d2)

  call sep_close()

  allocate(data(n1))
  call sep_read(data)
  do i2=1,n2
     call sep_write(data)
  end do
  deallocate(data)

  call exit(0)
end program REPEAT2













